package com.chelvc.cloud.vehicle.server.controller;

import com.chelvc.cloud.vehicle.client.dto.MerchantAssetDTO;
import com.chelvc.cloud.vehicle.client.param.WithdrawParam;
import com.chelvc.cloud.vehicle.server.service.AssetService;
import com.chelvc.framework.base.context.SessionContextHolder;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class AssetController {

    private final AssetService assetService;

    @GetMapping("/asset/merchant")
    public MerchantAssetDTO getMerchantAsset(@RequestParam("merchantId") Long merchantId) {
        return this.assetService.getMerchantAsset(merchantId);
    }

    /**
     * 提现接口
     *
     * @param param
     */
    @PutMapping("/asset/withdraw")
    public void withdraw(@RequestBody WithdrawParam param) {
        this.assetService.withdraw(param);
    }
}
