package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.server.dao.MerchantRelationMapper;
import com.chelvc.cloud.vehicle.server.entity.MerchantRelation;
import com.chelvc.cloud.vehicle.server.service.MerchantRelationService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor(onConstructor = @__({@Autowired,@Lazy}))
public class MerchantRelationServiceImpl extends ServiceImpl<MerchantRelationMapper,
        MerchantRelation> implements MerchantRelationService {

    @Override
    public MerchantRelation queryByUserIdAndType(Long userId, Integer type) {
        LambdaQueryWrapper<MerchantRelation> wrapper = Wrappers.lambdaQuery();
        wrapper.eq(MerchantRelation::getUserId, userId);
        wrapper.eq(MerchantRelation::getType, type);
        return baseMapper.selectOne(wrapper);
    }
}
