package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.server.dao.OmsWithdrawMapper;
import com.chelvc.cloud.vehicle.server.entity.OmsWithdraw;
import com.chelvc.cloud.vehicle.server.service.OmsWithdrawService;
import com.chelvc.framework.common.exception.ResourceUnavailableException;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;

@Service
@RequiredArgsConstructor(onConstructor = @__({@Autowired,@Lazy}))
public class OmsWithdrawServiceImpl extends ServiceImpl<OmsWithdrawMapper,
        OmsWithdraw> implements OmsWithdrawService {

    @Override
    public Long createWithdraw(Long userId, Integer type, BigDecimal amount, Integer channel) {
        OmsWithdraw withdraw = new OmsWithdraw();
        withdraw.setAmount(amount);
        withdraw.setChannel(channel);
        withdraw.setStatus(0);
        withdraw.setUserId(userId);
        withdraw.setType(type);
        withdraw.setCreateTime(new Date());
        int i = baseMapper.insert(withdraw);
        if(i != 1){
            throw new ResourceUnavailableException("提现申请失败");
        }
        return withdraw.getId();
    }
}
